Next: strip, Previous: size, Up: Top

## 7 strings

         strings [-afov] [-min-len]
                 [-n min-len] [--bytes=min-len]
                 [-t radix] [--radix=radix]
                 [-e encoding] [--encoding=encoding]
                 [-] [--all] [--print-file-name]
                 [-T bfdname] [--target=bfdname]
                 [--help] [--version] file...

For each file given, gnu strings prints the printable character sequences that are at least 4 characters long (or the number given with the options below) and are followed by an unprintable character. By default, it only prints the strings from the initialized and loaded sections of object files; for other types of files, it prints the strings from the whole file.

strings is mainly useful for determining the contents of non-text files.

-a
--all
-
  Do not scan only the initialized and loaded sections of object files; scan the whole files.
-f
--print-file-name
  Print the name of the file before each string.
--help
  Print a summary of the program usage on the standard output and exit.
-min-len
-n min-len
--bytes=min-len
  Print sequences of characters that are at least min-len characters long, instead of the default 4.
-o
  Like -t o. Some other versions of strings have -o act like -t d instead. Since we can not be compatible with both ways, we simply chose one.
-t radix
--radix=radix
  Print the offset within the file before each string. The single character argument specifies the radix of the offset—o for octal, x for hexadecimal, or d for decimal.
-e encoding
--encoding=encoding
  Select the character encoding of the strings that are to be found. Possible values for encoding are: s = single-7-bit-byte characters (ASCII, ISO 8859, etc., default), S = single-8-bit-byte characters, b = 16-bit bigendian, l = 16-bit littleendian, B = 32-bit bigendian, L = 32-bit littleendian. Useful for finding wide character strings. (l and b apply to, for example, Unicode UTF-16/UCS-2 encodings).
-T bfdname
--target=bfdname
  Specify an object code format other than your system's default format. See Target Selection, for more information.
-v
--version
  Print the program version number on the standard output and exit.